Get Single Report
curl --request GET \
--url https://api.chainabuse.com/v0/reports/{reportId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.chainabuse.com/v0/reports/{reportId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.chainabuse.com/v0/reports/{reportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chainabuse.com/v0/reports/{reportId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chainabuse.com/v0/reports/{reportId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chainabuse.com/v0/reports/{reportId}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chainabuse.com/v0/reports/{reportId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "52907745-7672-470e-a803-a2f8feb52944",
"trusted": true,
"checked": true,
"scamCategory": "RUG_PULL",
"createdAt": "2022-09-09T04:53:16.591Z",
"addresses": [
{
"address": "12QeMLzSrB8XH8FvEzPMVoRxVAzTr5XM2y",
"chain": "BTC",
"domain": null
},
{
"address": null,
"chain": null,
"domain": "scammer.com"
}
]
}{
"reason": "<string>"
}Reports
Get Single Report
GET
/
reports
/
{reportId}
Get Single Report
curl --request GET \
--url https://api.chainabuse.com/v0/reports/{reportId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.chainabuse.com/v0/reports/{reportId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.chainabuse.com/v0/reports/{reportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chainabuse.com/v0/reports/{reportId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chainabuse.com/v0/reports/{reportId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chainabuse.com/v0/reports/{reportId}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chainabuse.com/v0/reports/{reportId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "52907745-7672-470e-a803-a2f8feb52944",
"trusted": true,
"checked": true,
"scamCategory": "RUG_PULL",
"createdAt": "2022-09-09T04:53:16.591Z",
"addresses": [
{
"address": "12QeMLzSrB8XH8FvEzPMVoRxVAzTr5XM2y",
"chain": "BTC",
"domain": null
},
{
"address": null,
"chain": null,
"domain": "scammer.com"
}
]
}{
"reason": "<string>"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Id of the report
Response
Ok
Report ID
Reported by a contributor registered as trusted on Chainabuse.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?